class Number:
    def __init__(self, start):                  # Wywoływana przy Number(start)
        self.data = start
    def __sub__(self, other):                   # Wywoływana przy instancja — inna
        return Number(self.data - other)        # Wynik jest nową instancją

